Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1987384 - blender: FTBFS in Fedora rawhide/f35
Summary: blender: FTBFS in Fedora rawhide/f35
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F35BetaFreezeException F35FTBFS F35FailsToInstall F36FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-07-29 14:39 UTC by Fedora Release Engineering
Modified: 2021-08-30 21:40 UTC (History)
8 users (show)

Fixed In Version: blender-2.93.3-8.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-30 21:40:42 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2021-07-29 14:39 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2021-07-29 14:39 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2021-07-29 14:39 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-07-29 14:39:29 UTC
blender failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72328024


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix blender at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
blender will be orphaned. Before branching of Fedora 36,
blender will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-07-29 14:39:44 UTC
Created attachment 1807206 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-07-29 14:39:48 UTC
Created attachment 1807207 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-07-29 14:39:50 UTC
Created attachment 1807208 [details]
state.log

Comment 4 Fedora Release Engineering 2021-08-01 04:24:38 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 5 Ben Cotton 2021-08-10 13:16:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Fedora Update System 2021-08-25 02:18:42 UTC
FEDORA-2021-283ddcbf5e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-283ddcbf5e

Comment 7 Miro Hrončok 2021-08-25 09:22:20 UTC
Nominating as FE, as blender does not install without the fix.

Comment 8 Fedora Update System 2021-08-25 18:36:41 UTC
FEDORA-2021-283ddcbf5e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-283ddcbf5e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-283ddcbf5e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-08-26 12:33:21 UTC
FEDORA-2021-283ddcbf5e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-283ddcbf5e

Comment 10 Fedora Update System 2021-08-26 19:49:24 UTC
FEDORA-2021-283ddcbf5e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-283ddcbf5e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-283ddcbf5e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Geoffrey Marr 2021-08-30 16:09:21 UTC
The decision to classify this bug as an "AcceptedFreezeException (Beta)" was made as it is a noticeable issue that cannot be fixed with an update.

Comment 12 Fedora Update System 2021-08-30 21:40:42 UTC
FEDORA-2021-283ddcbf5e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.